/*********************************************************************
*                SEGGER MICROCONTROLLER SYSTEME GmbH                 *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2015  SEGGER Microcontroller Systeme GmbH        *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

***** emWin - Graphical user interface for embedded applications *****
emWin is protected by international copyright laws.   Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with a license and should not be re-
distributed in any way. We appreciate your understanding and fairness.
----------------------------------------------------------------------
File        : BASIC_HelloWorld.c
Purpose     : Simple demo drawing "Hello world"
----------------------------------------------------------------------
*/

#include "GUI.h"
#include "main.h"
#include "DIALOG.h"

extern WM_HWIN hProgbar;
extern WM_HWIN hSlider;
extern WM_HWIN hGraph;
extern GRAPH_DATA_Handle	hData;


/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
extern WM_HWIN CreateAblak(void);
/*********************************************************************
*
*       MainTask
*/
uint8_t counter = 0;

void MainTask(void) {
  GUI_SetBkColor(GUI_WHITE);
  GUI_Clear();
  CreateAblak();

  while(1)
  {
	  GRAPH_DATA_YT_AddValue(hData, SLIDER_GetValue(hSlider));
	  GUI_Exec();
	  HAL_Delay(10);
  }
}

/*************************** End of file ****************************/
